<div>
    <div
        :key="key"
        :id="'hash_' + id"
        @click="copy (hash)"
        class="clickable"
        style="width: fit-content"
    >
        <slot v-bind:hash="hash" v-bind:shorten_hash="shorten (hash, category)">
            {{ shorten (hash, category) }}
        </slot>
    </div>
    <b-tooltip
        :target="'hash_' + id"
        disabled
        :show.sync="copied"
        placement="right"
        delay="{ show: 0, hide: 50 }"
        noninteractive
        custom-class="without-arrow transparent-inner hash-tooltip"
    >
        <i class="bi bi-check-circle-fill"></i>
        <p>copied</p>
    </b-tooltip>
</div>
